import {AutocompleteInteraction, BaseInteraction, ChatInputCommandInteraction} from "discord.js"

export function isChatInputCommand(x: BaseInteraction): x is ChatInputCommandInteraction {
    return x.isChatInputCommand()
}

export function isAutocomplete(x: BaseInteraction): x is AutocompleteInteraction {
    return x.isAutocomplete()
}